> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://walmart.postmansolutions.com/us-marketplace/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://walmart.postmansolutions.com/us-marketplace/_mcp/server.

# Generates transportation options for a placement option. This is an asynchronous operation.

POST https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/{inboundPlanId}/transportationOptions
Content-Type: application/json

Reference: https://walmart.postmansolutions.com/us-marketplace/api-reference/orders-fulfillment/fulfillment-inbound/wfs-inbound/generate-transportation-options

## Servers

- `https://marketplace.walmart.com/seller/v1` (Production, default)
- `https://sandbox.marketplace.walmart.com/seller/v1` (Sandbox)

## Request

### Path parameters

- `inboundPlanId` (string, required) — Identifier of an inbound plan.

### Body (application/json)

This endpoint expects a GenerateTransportationOptionsRequest.

- `placementOptionId` (string, required) — The placement option to generate transportation options for.
- `shipmentTransportationConfigurations` (list of ShipmentTransportationConfiguration, required) — List of shipment transportation configurations.

## Response

### 202

Accepted — operation submitted asynchronously.

- `operationId` (string, required) — UUID for the given operation.

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of Error, required) — List of errors.

### 403 Forbidden Error

Forbidden

- `errors` (list of Error, required) — List of errors.

### 404 Not Found Error

Not Found

- `errors` (list of Error, required) — List of errors.

### 429 Too Many Requests Error

Rate limit exceeded

- `errors` (list of Error, required) — List of errors.

### 500 Internal Server Error

Internal Server Error

- `errors` (list of Error, required) — List of errors.

## Types

### ShipmentTransportationConfiguration

Details needed to generate the transportation options.

- `readyToShipWindow` (WindowInput, required) — Contains only a starting DateTime.
- `shipmentId` (string, required) — Identifier of a shipment.
- `contactInformation` (ContactInformation, optional) — The seller's contact information.
- `freightInformation` (FreightInformation, optional) — Freight information describes the SKUs that are in transit.
- `pallets` (list of PalletInput, optional) — List of pallet configuration inputs.

### Error

Error object containing information about what went wrong.

- `code` (string, required) — An error code that identifies the type of error that occurred.
- `message` (string, required) — A message that describes the error condition.
- `details` (string, optional) — Additional details that can help the caller understand or fix the issue.

### WindowInput

Contains only a starting DateTime.

- `start` (datetime, required) — The start date of the window. In ISO 8601 datetime format with minute precision.

### ContactInformation

The seller's contact information.

- `name` (string, required) — The contact's name.
- `phoneNumber` (string, required) — The phone number.
- `email` (string, optional) — The email address.

### FreightInformation

Freight information describes the SKUs that are in transit.

- `declaredValue` (Currency, optional) — The type and amount of currency.
- `freightClass` (string, optional) — Freight class. Possible values: `NONE`, `FC_50`, `FC_55`, `FC_60`, `FC_65`, `FC_70`, `FC_77_5`, `FC_85`, `FC_92_5`, `FC_100`, `FC_110`, `FC_125`, `FC_150`, `FC_175`, `FC_200`, `FC_250`, `FC_300`, `FC_400`, `FC_500`.

### PalletInput

Contains input information about a pallet to be used in the inbound plan.

- `quantity` (integer, required) — The number of containers where all other properties like weight or dimensions are identical.
- `dimensions` (Dimensions, optional) — Measurement of a package's dimensions.
- `stackability` (enum, optional) — Indicates whether pallets will be stacked when carrier arrives for pick-up.
  - Allowed values: `STACKABLE`, `NON_STACKABLE`
- `weight` (Weight, optional) — The weight of a package.

### Currency

The type and amount of currency.

- `amount` (double, required) — Decimal value of the currency.
- `code` (string, required) — ISO 4217 standard currency code.

### Dimensions

Measurement of a package's dimensions.

- `height` (double, required) — The height of a package.
- `length` (double, required) — The length of a package.
- `width` (double, required) — The width of a package.
- `unitOfMeasurement` (enum, required) — Unit of linear measure.
  - Allowed values: `IN`, `CM`

### Weight

The weight of a package.

- `unit` (enum, required) — Unit of the weight being measured.
  - Allowed values: `LB`, `KG`
- `value` (double, required) — Value of a weight.

## Examples

**Request**

```json
{
  "placementOptionId": "string",
  "shipmentTransportationConfigurations": [
    {
      "readyToShipWindow": {
        "start": "2024-01-15T09:30:00Z"
      },
      "shipmentId": "string"
    }
  ]
}
```

**Response**

```json
{
  "operationId": "string"
}
```

**SDK Code**

```python
import requests

url = "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/transportationOptions"

payload = {
    "placementOptionId": "string",
    "shipmentTransportationConfigurations": [
        {
            "readyToShipWindow": { "start": "2024-01-15T09:30:00Z" },
            "shipmentId": "string"
        }
    ]
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/transportationOptions';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"placementOptionId":"string","shipmentTransportationConfigurations":[{"readyToShipWindow":{"start":"2024-01-15T09:30:00Z"},"shipmentId":"string"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/transportationOptions"

	payload := strings.NewReader("{\n  \"placementOptionId\": \"string\",\n  \"shipmentTransportationConfigurations\": [\n    {\n      \"readyToShipWindow\": {\n        \"start\": \"2024-01-15T09:30:00Z\"\n      },\n      \"shipmentId\": \"string\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/transportationOptions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"placementOptionId\": \"string\",\n  \"shipmentTransportationConfigurations\": [\n    {\n      \"readyToShipWindow\": {\n        \"start\": \"2024-01-15T09:30:00Z\"\n      },\n      \"shipmentId\": \"string\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/transportationOptions")
  .header("Content-Type", "application/json")
  .body("{\n  \"placementOptionId\": \"string\",\n  \"shipmentTransportationConfigurations\": [\n    {\n      \"readyToShipWindow\": {\n        \"start\": \"2024-01-15T09:30:00Z\"\n      },\n      \"shipmentId\": \"string\"\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/transportationOptions', [
  'body' => '{
  "placementOptionId": "string",
  "shipmentTransportationConfigurations": [
    {
      "readyToShipWindow": {
        "start": "2024-01-15T09:30:00Z"
      },
      "shipmentId": "string"
    }
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/transportationOptions");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"placementOptionId\": \"string\",\n  \"shipmentTransportationConfigurations\": [\n    {\n      \"readyToShipWindow\": {\n        \"start\": \"2024-01-15T09:30:00Z\"\n      },\n      \"shipmentId\": \"string\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "placementOptionId": "string",
  "shipmentTransportationConfigurations": [
    [
      "readyToShipWindow": ["start": "2024-01-15T09:30:00Z"],
      "shipmentId": "string"
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/transportationOptions")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```